---
title: RTCIceCandidateStats.priority
slug: Web/API/RTCIceCandidateStats/priority
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidateStats")}} dictionary's <strong><code>priority</code></strong> property is a positive integer value indicating the priority (or desirability) of the described candidate.</span> During {{Glossary("ICE")}} negotiation while setting up a WebRTC peer connection, the priority values reported to the remote peer by a {{Glossary("user agent")}} are used to determine which candidates are considered "more desirable". The higher the value, the more desirable the candidate is.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>priority</em> = <em>rtcIceCandidateStats</em>.priority;</pre>

<h3 id="Value">Value</h3>

<p>A positive integer indicating the priority of the {{domxref("RTCIceCandidate")}} described by the <code>RTCIceCandidateStats</code> object. The value may be anywhere from 1 to 2,147,483,647.</p>

<h2 id="Determining_priority">Determining priority</h2>

<p>The ICE specification describes how user agents and other software using WebRTC should calculate the priority. The priority of a candidate is calculated using the following variables as inputs:</p>

<ul>
 <li>The preferability of the candidate type (local, server reflexive, peer reflexive, or relayed)</li>
 <li>The preferability of the candidate's specific IP address (for multihomed agents)</li>
 <li>The candidate's component ID (1 for RTP, 2 for RTCP)</li>
</ul>

<p>The candidate's priority is computed using the formula (<em>p<sub>type</sub></em> is the priority of the candidate's type and <em>p<sub>local</sub></em> is the priority of the IP address):</p>

<p><math display="block"><semantics><mrow><mi mathvariant="italic">priority</mi> <mo>=</mo> <msup><mn>2</mn><mn>24</mn></msup><mo>×</mo><msub><mi>p</mi><mrow><mi>type</mi></mrow></msub> <mo>+</mo> <msup><mn>2</mn><mn>8</mn></msup><mo>×</mo><msub><mi>p</mi><mrow><mi>local</mi></mrow></msub> <mo>+</mo> <mo stretchy="false">(</mo><mn>256</mn> <mo>-</mo> <mi mathvariant="italic">componentID</mi><mo stretchy="false">)</mo></mrow><annotation encoding="TeX">priority\quad =\quad { 2 }^{ 24 }\times { p }_{ type }\quad +\quad { 2 }^{ 8 }\times { p }_{ local }\quad +\quad (256\quad -\quad componentID)</annotation></semantics></math></p>

<p>This is equivalent to mapping the priorities of teh candidate type, the local IP, and the component ID into various bit ranges within the 32-bit <code>priority</code> value.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatestats-port', 'RTCIceCandidateStats.port') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.priority")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{RFC(5245, "4.1.2.1")}}: Recommended Formula section in the ICE specification</li>
</ul>
